## hildon-games-wrapper 1.9.3-1

=== Makefile ===
CC = gcc
CFLAGS = $(BASE_CFLAGS)
LDFLAGS = $(BASE_LDFLAGS)


all:
	make -C wrapper2
	make -C libhgw

clean:
	make -C wrapper2 clean
	make -C libhgw clean

install:
	make -C wrapper2 install
	make -C libhgw install

=== libhgw/Makefile ===
include ../Makefile.config

CC = gcc
CFLAGS = $(BASE_CFLAGS) `pkg-config dbus-1 gconf-2.0 --cflags` -I. -fPIC
LDFLAGS = $(BASE_LDFLAGS) -shared `pkg-config dbus-1 --libs`


MAJOR = 1
MINOR = 9
RELEASE = 2

VERSION = $(MAJOR).$(MINOR).$(RELEASE)


OBJS = hgw_init.o hgw_conf.o hgw_callbacks.o hgw_msg.o \
       hgw_compat.o hgw_priv.o
HEADERS = hgw.h shadowapp.h hgw_priv.h


all: libhgw.so.$(VERSION)

libhgw.so.$(VERSION): $(OBJS)
	$(CC) -o libhgw.so.$(VERSION) -Wl,-soname=libhgw.so.$(MAJOR) \
	$(LDFLAGS) $(OBJS)
	ln libhgw.so.$(VERSION) -fs libshadowapp.so.0
	ln libhgw.so.$(VERSION) -fs libhgw.so.$(MAJOR)
	ln libhgw.so.$(VERSION) -fs libhgw.so

%.o: %.c $(HEADERS)
	$(CC) -c -o $@ $< $(CFLAGS)

clean:
	rm -f *.o *.so*

install:
	install -d $(DESTDIR)$(PREFIX)/lib
	install -m755 libhgw.so.$(VERSION) $(DESTDIR)$(PREFIX)/lib
	ln $(PREFIX)/lib/libhgw.so.$(VERSION) -sf \
	$(DESTDIR)$(PREFIX)/lib/libshadowapp.so.0
	ln $(PREFIX)/lib/libhgw.so.$(VERSION) -sf \
	$(DESTDIR)$(PREFIX)/lib/libshadowapp.so
	ln $(PREFIX)/lib/libhgw.so.$(VERSION) -sf \
	$(DESTDIR)$(PREFIX)/lib/libhgw.so.$(MAJOR)
	ln $(PREFIX)/lib/libhgw.so.$(VERSION) -sf \
	$(DESTDIR)$(PREFIX)/lib/libhgw.so
	install -d $(DESTDIR)$(PREFIX)/include/hgw/
	install -m644 hgw.h $(DESTDIR)$(PREFIX)/include/hgw/
	install -m644 shadowapp.h $(DESTDIR)$(PREFIX)/include/

=== debian/changelog ===
hildon-games-wrapper (1.9.3-1) unstable; urgency=low

  * libhgw/Makefile: Created symlink 'libshadowapp.so' which is required by
    backwards compatibility layer on source level.
  * shared dbus connections shouldn't be closed, changed close to unref in
    hgw_init.c
  * Fixes: NB#60483, NB#60978, NB#61403, NB#58802

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu, 19 Jul 2007 10:41:42 +0300

hildon-games-wrapper (1.9.2-2) unstable; urgency=low

  * Added/cleaned copyright information.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 27 Jun 2007 13:09:21 +0300

hildon-games-wrapper (1.9.2-1) unstable; urgency=low

  * libhgw/: Added device state notifications.
  * libhgw/hgw_init.c: Corrected automatic service/path/interface naming.
  * libhgw/hgw_conf.c: When retrieving boolean values, they are read into int
    first before being stored into char element.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 25 Apr 2007 16:31:12 +0300

hildon-games-wrapper (1.9.1-2) unstable; urgency=low

  * libhgw/hgw_conf.c:231: used strdup() on return value. Previously caused
    problems as return value should be permanent but it got overwritten.
    Fixes: NB#53772

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Thu, 19 Apr 2007 11:43:21 +0300

hildon-games-wrapper (1.9.1-1) unstable; urgency=low

  * libhgw/hgw_init.c: Added fallback service name in the case it cannot be
    obtained from elsewhere (org.maemo.hgwXXXX where XXXX is PID in hex form).
  * libhgw/: Now connects also to system bus for GConf. Fixes: NB#53772

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue, 10 Apr 2007 18:32:27 +0300

hildon-games-wrapper (1.9.0-3) unstable; urgency=low

  * libshadowapp.h: now includes hgw/hgw.h instead of libhgw.h. This was
    mistake made in renaming of the package. Fixes: NB#53791
  * libshadowapp.h: hgw_compat_set_msg_cb_ functions are renamed to
    hgw_compat_set_cb_ which are real names of the functions.
  * hgw.h: defined values for the error enumerations to avoid them from
    getting undesired values.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue, 10 Apr 2007 12:08:42 +0300

hildon-games-wrapper (1.9.0-2) unstable; urgency=low

  * debian/control: exact versions of lessertunjo, libshadowapp and archtunjo
    are no longer provided.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue, 27 Mar 2007 14:56:58 +0300

hildon-games-wrapper (1.9.0-1) unstable; urgency=low

  * Incremented version number greatly without touching the code.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 21 Mar 2007 18:27:32 +0200

hildon-games-wrapper (0.0.2) unstable; urgency=low

  * Renamed the package.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 21 Mar 2007 10:59:01 +0200

tunjo (0.0.1-2) unstable; urgency=low

  * Cleanup release.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Fri,  5 Jan 2007 15:02:08 +0200

tunjo (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Fri,  5 Jan 2007 10:29:41 +0200

Local variables:
mode: debian-changelog
End:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hildon-games-wrapper 1.9.4-1

=== wrapper2/Makefile ===
include ../Makefile.config

CC = gcc
CFLAGS = $(BASE_CFLAGS)
LDFLAGS = $(BASE_LDFLAGS)


all: wrapper

wrapper: main.o parser.o
	$(CC) -o wrapper main.o parser.o $(LDFLAGS)

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

clean:
	rm -f *.o wrapper

install:
	install -d $(DESTDIR)$(PREFIX)/games/wrapper/
	install -m755 wrapper $(DESTDIR)$(PREFIX)/games/wrapper/

=== debian/changelog ===
hildon-games-wrapper (1.9.4-1) unstable; urgency=low

  * libhgw/: moved gconf wrapping aliases from backwards compatibility layer
    from libhgw/hgw_compat.c to libhgw/hgw_conf.c because gcc 4.2 does
    validity check on compile time rather than link time. Fixes: NB#78710

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed,  2 Jan 2008 13:05:21 +0200

=== debian/control ===
Source: hildon-games-wrapper
Priority: optional
Maintainer: Kuisma Salonen <kuisma.salonen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libc-dev, libdbus-1-dev, libgconf2-dev
Standards-Version: 3.6.0

Package: hildon-games-wrapper-dev
Section: devel
Architecture: any
Depends: hildon-games-wrapper0 (= ${Source-Version}), libc-dev
Provides: lessertunjo-dev, libshadowapp-dev
Conflicts: lessertunjo-dev, libshadowapp-dev
Description: Development headers for hildon-games-wrapper.
 <insert long description, indented with spaces>

Package: hildon-games-wrapper0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: lessertunjo0, libshadowapp0, archtunjo
Conflicts: lessertunjo0, libshadowapp0, archtunjo
Description: D-BUS and some other wrapping library for games.
 <insert long description, indented with spaces>

## hildon-games-wrapper 1.9.4-3%2b0m5

=== Makefile ===
CC=gcc
#-O2 -g -Wall coming from debian/rules...
HGW_CFLAGS="$(CFLAGS) -Werror"
PREFIX=/usr

all:
	CFLAGS=$(HGW_CFLAGS) make -C wrapper2
	CFLAGS=$(HGW_CFLAGS) make -C libhgw

clean:
	make -C wrapper2 clean
	make -C libhgw clean

install:
	PREFIX="$(PREFIX)" make -C wrapper2 install
	PREFIX="$(PREFIX)" make -C libhgw install

=== libhgw/Makefile ===
--- 
+++ 
@@ -1,16 +1,11 @@
-include ../Makefile.config
-
-CC = gcc
-CFLAGS = $(BASE_CFLAGS) `pkg-config dbus-1 gconf-2.0 --cflags` -I. -fPIC
-LDFLAGS = $(BASE_LDFLAGS) -shared `pkg-config dbus-1 --libs`
-
+CFLAGS+=`pkg-config dbus-1 gconf-2.0 --cflags` -I. -fPIC
+LDFLAGS=-shared `pkg-config dbus-1 --libs`
 
 MAJOR = 1
 MINOR = 9
-RELEASE = 2
+RELEASE = 4
 
 VERSION = $(MAJOR).$(MINOR).$(RELEASE)
-
 
 OBJS = hgw_init.o hgw_conf.o hgw_callbacks.o hgw_msg.o \
        hgw_compat.o hgw_priv.o
@@ -46,3 +41,4 @@
 	install -d $(DESTDIR)$(PREFIX)/include/hgw/
 	install -m644 hgw.h $(DESTDIR)$(PREFIX)/include/hgw/
 	install -m644 shadowapp.h $(DESTDIR)$(PREFIX)/include/
+

=== wrapper2/Makefile ===
all: wrapper

wrapper: main.o parser.o
	$(CC) -o wrapper main.o parser.o $(LDFLAGS)

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

clean:
	rm -f *.o wrapper

install:
	install -d $(DESTDIR)$(PREFIX)/games/wrapper/
	install -m755 wrapper $(DESTDIR)$(PREFIX)/games/wrapper/

=== debian/changelog ===
hildon-games-wrapper (1.9.4-3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Tue, 07 Apr 2009 09:55:24 +0300

hildon-games-wrapper (1.9.4-3) unstable; urgency=low

  * Fixes: NB#109541 - Coverity findings in hildon-game-wrapper 

 -- David Kedves <dkedves@blumsoft.eu>  Fri, 03 Apr 2009 11:21:38 +0200

hildon-games-wrapper (1.9.4-2) unstable; urgency=low

  * Updated dependencies (libc-dev -> libc6-dev)
  * Added debug package

 -- David Kedves <dkedves@blumsoft.eu>  Fri, 06 Mar 2009 11:13:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-
-
 
 CFLAGS = -Wall -g
 
@@ -21,8 +18,8 @@
 endif
 
 # shared library versions, option 1
-version=2.0.5
-major=2
+#version=2.0.5
+#major=2
 # option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
 #version=`ls src/.libs/lib*.so.* | \
 # awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
@@ -42,7 +39,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	CFLAGS="$(CFLAGS)" $(MAKE)
 
 	touch build-stamp
 
@@ -89,7 +86,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=hildon-games-wrapper0
 	dh_compress
 	dh_fixperms
 #	dh_perl

## hildon-games-wrapper 1.9.4-5%2b0m5

=== debian/changelog ===
hildon-games-wrapper (1.9.4-5+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Urho Konttori <urho.konttori@nokia.com>  Fri, 19 Feb 2010 14:59:06 +0200

hildon-games-wrapper (1.9.4-5) unstable; urgency=low

  * Fixes: NB#142763 - "Game not started yet" banner displayed while playing
  * Fixes: MB#3748 - Erroneous "Game not started yet" message
  Thanks for patches to Javier S. Pedro

 -- David Kedves <dkedves@blumsoft.eu>  Wed, 03 Feb 2010 09:09:08 +0100

hildon-games-wrapper (1.9.4-4) unstable; urgency=low

  * Fixes: NB#141722 - hildon-games-wrapper crashes in hgw_conf_request_string
    if gconf key has no value
  * Fixes: MB#5276 - hildon-games-wrapper crashes in hgw_conf_request_string
    if gconf key has no value
  Thanks for patches to Javier S. Pedro

 -- David Kedves <dkedves@blumsoft.eu>  Wed, 27 Jan 2010 13:50:34 +0100

## hildon-games-wrapper 1.9.4-5+0m5

=== debian/control ===
Source: hildon-games-wrapper
Priority: optional
Maintainer: Karoliina Salminen <karoliina.t.salminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libc6-dev, libdbus-1-dev, libgconf2-dev
Standards-Version: 3.6.0

Package: hildon-games-wrapper-dev
Section: devel
Architecture: any
Depends: hildon-games-wrapper0 (= ${Source-Version}), libc6-dev
Provides: lessertunjo-dev, libshadowapp-dev
Conflicts: lessertunjo-dev, libshadowapp-dev
Description: Development headers for hildon-games-wrapper.
 <insert long description, indented with spaces>

Package: hildon-games-wrapper0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: lessertunjo0, libshadowapp0, archtunjo
Conflicts: lessertunjo0, libshadowapp0, archtunjo
Description: D-BUS and some other wrapping library for games.
 <insert long description, indented with spaces>

Package: hildon-games-wrapper0-dbg
Section: devel
Architecture: any
Depends: hildon-games-wrapper0 (= ${Source-Version})
Provides: lessertunjo0-dbg, libshadowapp0-dbg, archtunjo-dbg
Conflicts: lessertunjo0-dbg, libshadowapp0-dbg, archtunjo-dbg
Description: Debug symbols for hildon-games-wrapper0
